Bug 23686 - Check onsite checkout when the last checkout was an onsite one
Summary: Check onsite checkout when the last checkout was an onsite one
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nicolas Legrand
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-27 07:32 UTC by Nicolas Legrand
Modified: 2019-10-03 10:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23686 - Check onsite checkout when the last checkout was an onsite one (6.08 KB, patch)
2019-09-27 08:24 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 23686: Check onsite checkout when the last checkout was an onsite one (6.17 KB, patch)
2019-09-27 12:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23686: Check onsite checkout when the last checkout was an onsite one (6.16 KB, patch)
2019-10-02 14:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23686: (QA follow-up) Fix updatedatabase and make descriptions consistent (2.64 KB, patch)
2019-10-02 14:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Legrand 2019-09-27 07:32:33 UTC
At the BULAC, we do onsite checkouts and regular checkouts. Since onsite checkouts are documents from stacks, we tend to do them in a batch. It may then be tedious to check the box again and again.

Our solution was to modify Koha to make it check the box when last checkout was an onsite one. After tow years in production, it proved to be efficient, we think it's an interesting feature.
Comment 1 Nicolas Legrand 2019-09-27 08:24:15 UTC
Created attachment 93186 [details] [review]
Bug 23686 - Check onsite checkout when the last checkout was an onsite one

Prevent from checking again and again the onsite checkout box when
doing onsite checkouts in batches. If preceding checkout was an onsite
one, the box will be checked.

Test plan:

1. enable  OnSiteCheckouts
2. make your circulation rules able to checkout onsite
3. onsite checkout a document
4. you should return to the checkout page, the box isn't checked
5. apply patch
6. updatedatabase.pl
7. redo steps 3, it should again print a checkout page with an
unchecked onsite checkout box
8. enable  OnSiteCheckoutAutoCheck system preference
9. redo step 3
10. when returning to the checkout page, the onsite checkout box
should be already checked
Comment 2 Owen Leonard 2019-09-27 12:28:25 UTC
Created attachment 93203 [details] [review]
Bug 23686: Check onsite checkout when the last checkout was an onsite one

Prevent from checking again and again the onsite checkout box when
doing onsite checkouts in batches. If preceding checkout was an onsite
one, the box will be checked.

Test plan:

1. enable  OnSiteCheckouts
2. make your circulation rules able to checkout onsite
3. onsite checkout a document
4. you should return to the checkout page, the box isn't checked
5. apply patch
6. updatedatabase.pl
7. redo steps 3, it should again print a checkout page with an
   unchecked onsite checkout box
8. enable  OnSiteCheckoutAutoCheck system preference
9. redo step 3
10. when returning to the checkout page, the onsite checkout box
    should be already checked

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2019-10-02 14:28:50 UTC
Created attachment 93489 [details] [review]
Bug 23686: Check onsite checkout when the last checkout was an onsite one

Prevent from checking again and again the onsite checkout box when
doing onsite checkouts in batches. If preceding checkout was an onsite
one, the box will be checked.

Test plan:

1. enable  OnSiteCheckouts
2. make your circulation rules able to checkout onsite
3. onsite checkout a document
4. you should return to the checkout page, the box isn't checked
5. apply patch
6. updatedatabase.pl
7. redo steps 3, it should again print a checkout page with an
   unchecked onsite checkout box
8. enable  OnSiteCheckoutAutoCheck system preference
9. redo step 3
10. when returning to the checkout page, the onsite checkout box
    should be already checked

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2019-10-02 14:28:57 UTC
Created attachment 93490 [details] [review]
Bug 23686: (QA follow-up) Fix updatedatabase and make descriptions consistent
Comment 5 Martin Renvoize 2019-10-03 10:02:22 UTC
Nice work!

Pushed to master for 19.11.00